# Package org.gradle.caching

Classes for build caching.

See: Description

- Interface Summary
  Interface | Description
  --- | ---
  BuildCache | Cache protocol interface to be implemented by a build cache backend.
  BuildCacheEntryReader | A reader for build cache entries.
  BuildCacheEntryWriter | Writer to serialize a build cache entry.
  BuildCacheKey | Cache key identifying an entry in the build cache.

- Class Summary
  Class | Description
  --- | ---
  MapBasedBuildCache | Simple build cache implementation that delegates to a `ConcurrentMap`.

- Exception Summary
  Exception | Description
  --- | ---
  BuildCacheException | `BuildCacheException` is the base class of all exceptions thrown by a `BuildCache`.

## Package org.gradle.caching Description

Classes for build caching.